Bug 136659 - Web Inspector: Fix ESLint no-extra-bind warnings
Summary: Web Inspector: Fix ESLint no-extra-bind warnings
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2014-09-08 20:19 PDT by Joseph Pecoraro
Modified: 2014-09-16 12:54 PDT (History)
6 users (show)

See Also:


Attachments
[PATCH] Proposed Fix (1.79 KB, patch)
2014-09-08 20:19 PDT, Joseph Pecoraro
no flags Details | Formatted Diff | Diff
[PATCH] Proposed Fix (1.78 KB, patch)
2014-09-16 12:10 PDT, Joseph Pecoraro
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Pecoraro 2014-09-08 20:19:00 PDT
There were two cases where we were doing an extra bind. One is a clear fix. The other looks like we might want to refactor and should be addressed separately.
Comment 1 Joseph Pecoraro 2014-09-08 20:19:38 PDT
Created attachment 237833 [details]
[PATCH] Proposed Fix
Comment 2 jonowells 2014-09-08 20:24:00 PDT
The one in TypeTokenView.js?
Comment 3 Joseph Pecoraro 2014-09-08 20:41:19 PDT
(In reply to comment #2)
> The one in TypeTokenView.js?

Yeah. In that case the timeout identifier should be set to null after it is cleared... I have to take a deeper look at it and address is individually.
Comment 4 Brian Burg 2014-09-10 15:13:43 PDT
Comment on attachment 237833 [details]
[PATCH] Proposed Fix

Looks good. Is there a lint for the opposite problem, which is probably going to find more mistakes?

(Incidentally, this looks like an easy place to convert to promises... once promises work when the debugger is paused)
Comment 5 Joseph Pecoraro 2014-09-10 15:24:28 PDT
(In reply to comment #4)
> (From update of attachment 237833 [details])
> Looks good. Is there a lint for the opposite problem, which is probably going to find more mistakes?
> 
> (Incidentally, this looks like an easy place to convert to promises... once promises work when the debugger is paused)

I don't think there is one. One could be written pretty quickly though.
Comment 6 Joseph Pecoraro 2014-09-16 12:10:15 PDT
Created attachment 238193 [details]
[PATCH] Proposed Fix
Comment 7 Radar WebKit Bug Importer 2014-09-16 12:10:47 PDT
<rdar://problem/18354652>
Comment 8 WebKit Commit Bot 2014-09-16 12:54:22 PDT
Comment on attachment 238193 [details]
[PATCH] Proposed Fix

Clearing flags on attachment: 238193

Committed r173667: <http://trac.webkit.org/changeset/173667>
Comment 9 WebKit Commit Bot 2014-09-16 12:54:25 PDT
All reviewed patches have been landed.  Closing bug.